### Virtual Method

# GnomeCmd FileActions execute

#### Declaration

    void
    execute (
      GnomeCmdFileActions* fa,
      const gchar* action,
      GVariant* parameter,
      GtkWindow* parent_window,
      GnomeCmdState* state
    )

#### Description

Executes a custom action defined by a plug-in.

#### Parameters

`action`

  Type: `const gchar*`

  Name of the action.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter`

  Type: `GVariant`

  Parameter of the action.

  The data is owned by the caller of the method.

`parent_window`

  Type: `GtkWindow`

  A window, plug-in may use as a parent (`transient-for`).

  The data is owned by the caller of the method.

`state`

  Type: `GnomeCmdState`

  Current state of both application’s panels.

  The data is owned by the caller of the method.